be.fgov.ehealth.consultrn.commons.core.v3

## Class AddressType

- java.lang.Object
- - be.fgov.ehealth.consultrn.commons.core.v3.AddressType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class AddressType
      extends Object
      implements Serializable

  Type containing the different types of address

  Java class for AddressType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AddressType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element name="ResidentialAddress" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}ResidentialAddressResponseType"/>
                 <element name="DiplomaticInformation" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}DiplomaticInformationType"/>
               </choice>
               <element name="TemporaryAddress" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}TemporaryAddressType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DiplomaticInformationType` | `getDiplomaticInformation()` Gets the value of the diplomaticInformation property.
    `ResidentialAddressResponseType` | `getResidentialAddress()` Gets the value of the residentialAddress property.
    `TemporaryAddressType` | `getTemporaryAddress()` Gets the value of the temporaryAddress property.
    `void` | `setDiplomaticInformation(DiplomaticInformationType value)` Sets the value of the diplomaticInformation property.
    `void` | `setResidentialAddress(ResidentialAddressResponseType value)` Sets the value of the residentialAddress property.
    `void` | `setTemporaryAddress(TemporaryAddressType value)` Sets the value of the temporaryAddress property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressType

          public AddressType()

  - ### Method Detail

    - #### getDiplomaticInformation

          public DiplomaticInformationType getDiplomaticInformation()

      Gets the value of the diplomaticInformation property.
      Returns:
        possible object is `DiplomaticInformationType`

    - #### setDiplomaticInformation

          public void setDiplomaticInformation(DiplomaticInformationType value)

      Sets the value of the diplomaticInformation property.
      Parameters:
        `value` - allowed object is `DiplomaticInformationType`

    - #### getResidentialAddress

          public ResidentialAddressResponseType getResidentialAddress()

      Gets the value of the residentialAddress property.
      Returns:
        possible object is `ResidentialAddressResponseType`

    - #### setResidentialAddress

          public void setResidentialAddress(ResidentialAddressResponseType value)

      Sets the value of the residentialAddress property.
      Parameters:
        `value` - allowed object is `ResidentialAddressResponseType`

    - #### getTemporaryAddress

          public TemporaryAddressType getTemporaryAddress()

      Gets the value of the temporaryAddress property.
      Returns:
        possible object is `TemporaryAddressType`

    - #### setTemporaryAddress

          public void setTemporaryAddress(TemporaryAddressType value)

      Sets the value of the temporaryAddress property.
      Parameters:
        `value` - allowed object is `TemporaryAddressType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.